typedef enum {false, true} boolean;


//Funzione che dati un interno n ed un array di interi a, restituisce true se n occorre in a, false altrimenti
boolean occorre(int n, int a[], int l){
	int i;

	for (i=0;i<l;i++)
		if (a[i]==n) 
			return true;
	
	return false;
}

//Funzione che, dati un intero n ed un array di interi a, restituisce il numero di occorrenze di n in a
int occorrenze(int n, int a[], int l){
	int i, conta;

	conta=0;

	for (i=0;i<l;i++)
		if (a[i]==n)
			conta = conta + 1; 	//conta++
	
	return conta;
}

//Funzione che, dati un intero n ed un array di interi a, restituisce la posizione della prima occorrenza di n in a (se n occorre in a). altrimenti restituisce -1
int posizione(int n, int a[], int l){
	int i;

	for (i=0;i<l;i++)
		if (n==a[i]) return i;

	return -1;
	
}


//Funzione che, dato un intero positivo n, restituisce true se n e' un numero primo, altrimenti restituisce false
boolean primo(int n){

	int cont;
	boolean div;

	if (n==1) return false;
	else
	{
		cont=2;
		div=false;
		while (cont <= n/2 && !div)
		{
			if (n%cont == 0) div = true;
			else cont = cont+1;
		} 
		if (div) 
			return false;
		else return true;
	}

}


//Funzione che calcola il MCD
int MCD(int n, int m) {

	if (n==0) return m;
	return MCD(m, m%n);

}


//Funzione che verifica se un numero e' primo utilizzando la funzione MCD
boolean primo2(int n){
	
	int i;

	if (n==1) return false;
	for (i=2;i<=n/2; i++)
		if (MCD(i,n) != 1) return false;

	return true;

}

//Funzione dato un array di interi a restituisce il valore minimo di a
int minimo(int a[], int l){
	int i;
	int min=a[0];

	for (i=1; i<l;i++) {
		if (a[i]<min) min = a[i];
	}
	return min;

}

//Funzione dato un array di interi a restituisce il valore massimo di a
int massimo(int a[], int l){
	int i;
	int max=a[0];

	for (i=1; i<l;i++) {
		if (a[i]>max) max = a[i];
	}
	return max;

}
